package wxcard

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcard"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card/create wxcard CreateWxCard
//
// Create wx card information | 创建WxCard
//
// Create wx card information | 创建WxCard
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardInfo
//
// Responses:
//  200: BaseMsgResp

func CreateWxCardHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcard.NewCreateWxCardLogic(r.Context(), svcCtx)
		resp, err := l.CreateWxCard(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
